using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lol_coder.Tornado
{
    public class K3DEventHandler : K3DEventHandlerBase
    {
        public MainForm mainForm;

        public K3DEventHandler(MainForm _mainForm)
        {
            mainForm = _mainForm;
        }

        public override void OnLogMessage(string LogMessage)
        {
            mainForm.OnLogMessage(LogMessage);
        }

        public override void OnHeartBeat(int bSuccess)
        {
            mainForm.OnHeartBeat(bSuccess);
        }
    }
}
